
package de.ivu.elect.was.exchange.ergebnis;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasModelN102BulkExportExchange;
import de.ivu.elect.core.exchange.wahl.AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange;

public class DefaultNlWasModelN102BulkExportExchange extends AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange implements NlWasModelN102BulkExportExchange {

  @Inject
  private transient Instance<NlWasModelN102BulkExportMapper> mappers;

  public DefaultNlWasModelN102BulkExportExchange() {
    super();
  }

  @Override
  protected Iterable< ? extends NlWasModelN102BulkExportMapper> getAllSupportedMapper() {
    return mappers;
  }
}
